// All credit goes to InnovativeEngineer on Instructables
// Check out more of InnovativeEngineer's projects on his YouTube channel @InnovativeEngineering


#define BLYNK_PRINT Serial


#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>
#include <Servo.h>

// You should get Auth Token in the Blynk App. 
// Go to the Project Settings (nut icon).
char auth[] = "YourAuthenticationCode"; 

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "NameofWifiNetwork"; 
char pass[] = "WifiPassword"; 

Servo servo;

BLYNK_WRITE(V0)
{
  if (digitalRead(5) == HIGH){ // if Blynk Switch is in mobile control position AKA 1 or HIGH, then you have control of the servo & fan from phone
    servo.write(param.asInt());
  }
  if (digitalRead(5) == LOW){
    if (digitalRead(4) == HIGH){ // Arduino sets pin 9 on itself to HIGH if the desired temperature is lower than the actual temperature; Esp8266 reads this and turns on fan with servo
      servo.write(108); // IMPORTANT!!! THESE ARE VALUES THAT WORKED FOR MY SERVO/FAN SETUP. ADJUST THESE AS NEEDED
  }
    if (digitalRead(0) == HIGH){ // Arduino sets pin 8 on itself to HIGH if the actual temperature is below the desired temperature; Esp8266 reads this and turns off fan with servo
      servo.write(60); // IMPORTANT!!! THESE ARE VALUES THAT WORKED FOR MY SERVO/FAN SETUP. ADJUST THESE AS NEEDED
  }
  
 }
  
}

void setup()
{
  
  Serial.begin(9600);

  Blynk.begin(auth, ssid, pass);

  servo.attach(16);
}

void loop()
{
  Blynk.run();
}

